Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IProcessProtocol``

interface documentation

`class IProcessProtocol(Interface): (source)`

Known implementations: `twisted.internet.protocol.ProcessProtocol`

View In Hierarchy

Interface for process-related event handlers.

Method | `childConnectionLost` | Called when a file descriptor associated with the child process is closed.
Method | `childDataReceived` | Called when data arrives from the child process.
Method | `makeConnection` | Called when the process has been created.
Method | `processEnded` | Called when the child process exits and all file descriptors associated with it have been closed.
Method | `processExited` | Called when the child process exits.

def childConnectionLost(childFD: `int`): (source)

Called when a file descriptor associated with the child process is closed.

Parameters
childFD:`int` | The file descriptor which was closed.

def childDataReceived(childFD: `int`, data: `bytes`): (source)

Called when data arrives from the child process.

Parameters
childFD:`int` | The file descriptor from which the data was received.
data:`bytes` | The data read from the child's file descriptor.

def makeConnection(process: `IProcessTransport`): (source)

Called when the process has been created.

Parameters
process:`IProcessTransport` | An object representing the process which has been created and associated with this protocol.

def processEnded(reason: `Failure`): (source)

Called when the child process exits and all file descriptors associated with it have been closed.

Parameters
reason:`Failure` | A failure giving the reason the child process terminated. The type of exception for this failure is either `twisted.internet.error.ProcessDone` or `twisted.internet.error.ProcessTerminated`.

def processExited(reason: `Failure`): (source)

Called when the child process exits.

Parameters
reason:`Failure` | A failure giving the reason the child process terminated. The type of exception for this failure is either `twisted.internet.error.ProcessDone` or `twisted.internet.error.ProcessTerminated`.
Present Since
8.2